# Human Introduction
Well.. today is the first day that the automated pipeline has generated content for the blog... still a bit of work to do including
1. establishing a permanent vectordb solution (chromadb? pg_vector?)
2. Notification to Matrix that something has happened
3. Updating Trilium so that the note is marked as blog_written=true

BUT it can take a note from trilium, generate drafts with mulitple agents, and then use RAG to have an editor go over those drafts.

I'm particularly proud of the randomness I've applied to temperature, top_p and top_k for the different draft agents. This means that each pass is giving me quite different "creativity" (as much as that can be applied to an algorithm that is essentially munging letters together that have a high probability of being together) It has created some really interesting variation for the editor to work with and getting some really interesting results.

Anyways, without further ado, I present to you the first, pipeline written, AI content for this blog

---

# When to use AI 😄
*A journalist, software developer, and DevOps expert’s take on when AI is overkill and when it’s just the right tool*

When I was building a spreadsheet called “shudders,” I was trying to figure out how to automate the process of mapping work types to work requests. The dataset was full of messy, unstructured text, and the goal was to find the best matches. At first, I thought, “This is a perfect use case for AI!” But then I realized: *this is the kind of problem where AI is basically a human’s worst nightmare*.

So, let’s break it down.

### 🧠 When AI is *not* the answer

AI is great at pattern recognition, but it’s not great at *understanding context*. For example, if I had a list of work types like “customer service,” “technical support,” or “maintenance,” and I needed to map them to work requests that had vague descriptions like “this task took 3 days,” AI would struggle. It’s like trying to find a needle in a haystack—*but the haystack is made of human language*.

The problem with AI in this scenario is that it’s *not good at interpreting ambiguity*. If the work types are vague, the AI might mislabel them, leading to errors. Plus, when the data is messy, AI can’t keep up. I remember one time I tried to use a chatbot to classify work requests. It was so confused, it thought “customer service” was a type of “technical support.” 😅 The result? A spreadsheet full of “unknown” entries.

### 🧮 When AI *is* the answer

There are some scenarios where AI is *definitely* the way to go. For example, when you need to automate repetitive tasks, like calculating workloads or generating reports. These tasks are math-heavy and don’t require creative thinking. Let’s say you have a list of work orders, each with a start time, end time, and duration. You want to calculate the average time per task. AI can do that with precision. It’s like a calculator, but with a personality.

Another example: if you need to generate a report that summarizes key metrics, AI can handle that. It’s not about creativity, it’s about logic. And that’s where traditional programming shines.

### 🧪 The balance between AI and human oversight

AI is a tool, not a replacement for human judgment. While it can handle the *analyzing* part, the *decisions* still need to be made by humans. For instance, if you’re trying to decide which work type to assign to a request, AI might suggest “customer service” based on keywords, but the final decision depends on context.

So, in the end, AI is a *helper*, not a *replacement*. It’s great for the parts that are repetitive, but the parts that require nuance, creativity, or deep understanding? That’s where humans step in.

### 🧩 Final thoughts

AI is like a superpower—great at certain things, not so great at others. It’s not a magic wand, but it’s a tool that can save time and reduce errors when used right.

So, when is it time to say “AI, nope”? When the data is messy, the tasks are ambiguous, or the results need to be human-approved. And when is it time to say “AI, yes”? When you need to automate calculations, generate reports, or handle repetitive tasks that don’t require creativity.

### 🧩 Summary

| Scenario | AI? | Reason |
|---|---|---|
| Ambiguous data | ❌ | AI struggles with context |
| Repetitive tasks | ✅ | AI handles math and logic |
| Creative decisions | ❌ | AI lacks the ability to think creatively |

In the end, AI is just another tool. Use it when it works, and don’t let it define your workflow. 😄 *And if you ever feel like AI is overstepping, remember: it’s just trying to be helpful. Sometimes it’s not the best choice. Sometimes it’s the only choice.*